<?php 
	  
class sliding_likebox extends Module {
	function __construct(){
		$this->name = 'sliding_likebox';
		$this->tab = 'social_networks';
		$this->author = 'wyklej.pl';
		$this->version = '1.0';
		$this->dir = '/modules/sliding_likebox/';
		parent::__construct();
		$this->displayName = $this->l('Sliding like box');
		$this->description = $this->l('With this module you will put the sliding facebook like box on you store.');
	}
		
	function install(){
		if (parent::install() == false 
			OR $this->registerHook('header') == false
			OR !Configuration::updateValue('sliding_likebox_where','1')
			OR !Configuration::updateValue('sliding_likebox_width','185')
            OR !Configuration::updateValue('sliding_likebox_height','320')
            OR !Configuration::updateValue('sliding_likebox_top','120')
			OR !Configuration::updateValue('sliding_likebox_radius','15')
			OR !Configuration::updateValue('sliding_likebox_name','wyklej')
			OR !Configuration::updateValue('sliding_likebox_color','3b5997')
		){
			return false;
		}
	return true;
	}
    
	public function getconf(){
        $array['sliding_likebox_where']=Configuration::get('sliding_likebox_where');
        $array['sliding_likebox_name']=Configuration::get('sliding_likebox_name');
        $array['sliding_likebox_width']=Configuration::get('sliding_likebox_width');
		$array['sliding_likebox_height']=Configuration::get('sliding_likebox_height');
        $array['sliding_likebox_top']=Configuration::get('sliding_likebox_top');
        $array['sliding_likebox_radius']=Configuration::get('sliding_likebox_radius');
        $array['sliding_likebox_color']=Configuration::get('sliding_likebox_color');
		return $array;
    }
	
	public function psversion() {
		$version=_PS_VERSION_;
		$exp=$explode=explode(".",$version);
		return $exp[1];
	}
	
	public function getContent(){
        $output="";
        if (Tools::isSubmit('submit_settings')){
            Configuration::updatevalue('sliding_likebox_where',$_POST['sliding_likebox_where']);
            Configuration::updatevalue('sliding_likebox_name',$_POST['sliding_likebox_name']);
            Configuration::updatevalue('sliding_likebox_width',$_POST['sliding_likebox_width']);
            Configuration::updatevalue('sliding_likebox_height',$_POST['sliding_likebox_height']);
            Configuration::updatevalue('sliding_likebox_top',$_POST['sliding_likebox_top']);
            Configuration::updatevalue('sliding_likebox_radius',$_POST['sliding_likebox_radius']);
            Configuration::updatevalue('sliding_likebox_color',$_POST['sliding_likebox_color']);
            $output.='<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Settings Saved').'" />'.$this->l('Settings Saved').'</div>';
        }      
        return $output.$this->displayForm();
    }
	
	public function displayForm(){
	   $var=$this->getconf();
       
       $sliding_likeboxwhere1="";
       $sliding_likeboxwhere2="";
 
       if ($var['sliding_likebox_where']=="1"){$sliding_likeboxwhere1="checked=\"yes\"";}
       if ($var['sliding_likebox_where']=="2"){$sliding_likeboxwhere2="checked=\"yes\"";}
	                 
            $form='<div id="module_block_settings">        
            <fieldset id="fieldset_module_block_settings">
                <legend style="display:inline-block;"><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
                <form action="'.$_SERVER['REQUEST_URI'].'" method="post">
                    <label>'.$this->l('Left side').'</label>
                    <div class="margin-form">
                        <input type="radio" name="sliding_likebox_where" value="1" '.$sliding_likeboxwhere1.'/>
                    </div>
                    <label>'.$this->l('Right side').'</label>
                    <div class="margin-form">
                        <input type="radio" name="sliding_likebox_where" value="2" '.$sliding_likeboxwhere2.'/>
                    </div>  
					<label>'.$this->l('Likebox width').'</label>
                    <div class="margin-form">
                        <input type="text" name="sliding_likebox_width" value="'.$var['sliding_likebox_width'].'"/>
						<p class="clear">'.$this->l('Recommended value: 185px.').'</p>
                    </div>
					<label>'.$this->l('Likebox height').'</label>
                    <div class="margin-form">
                        <input type="text" name="sliding_likebox_height" value="'.$var['sliding_likebox_height'].'"/>
						<p class="clear">'.$this->l('Recommended value: 320px.').'</p>
                    </div>
					<label>'.$this->l('Likebox distance from top').'</label>
					 <div class="margin-form">
                        <input type="text" name="sliding_likebox_top" value="'.$var['sliding_likebox_top'].'"/>
                    </div>
					<label>'.$this->l('Likebox corners radius').'</label>
					 <div class="margin-form">
                        <input type="text" name="sliding_likebox_radius" value="'.$var['sliding_likebox_radius'].'"/>
                    </div>
					<label>'.$this->l('Likebox border color #').'</label>
					 <div class="margin-form">
                        <input type="text" name="sliding_likebox_color" value="'.$var['sliding_likebox_color'].'"/>
                    </div>
                    <label>'.$this->l('Your facebook page name').'</label>
                    <div class="margin-form">
						<p>'.$this->l('You can set up your page name here: facebook.com/username.').'</p>
                        <input type="text" name="sliding_likebox_name" value="'.$var['sliding_likebox_name'].'"/>
						<p class="clear">'.$this->l('If you like our free module please click Like on our facebook.com/wyklej page :)').'</p>
                    </div>                                  
                    <center><input type="submit" name="submit_settings" value="'.$this->l('Save Settings').'" class="button" /></center>
                </form>
            </fieldset>
            </div>';
        return $form;
	}   
	
	function hookheader($params){
        $var=$this->getconf();		
        global $smarty;
        $smarty->assign('var', $var);		
		if ($var['sliding_likebox_where']==1)
        return $this->display(__FILE__, 'sliding_likebox_left.tpl');
		elseif ($var['sliding_likebox_where']==2)
		return $this->display(__FILE__, 'sliding_likebox_right.tpl');
	}

}
?>